Skip to content
Start here

Clear active region

client.ZeroTrust.Regions.Delete(ctx, body) (*ActiveAccountRegion, error)
DELETE/accounts/{account_id}/zerotrust/region

Clears the account’s active region. This operation is idempotent. Clearing an account without an active region returns success with a null region_key.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
body RegionDeleteParams
AccountID param.Field[string]

Cloudflare account ID

maxLength32
ReturnsExpand Collapse
type ActiveAccountRegion struct{…}
RegionKey string

The key of the account’s active Data Localization Suite region, or null if the account has not selected a region.

minLength1

Clear active region

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/zero_trust"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  activeAccountRegion, err := client.ZeroTrust.Regions.Delete(context.TODO(), zero_trust.RegionDeleteParams{
    AccountID: cloudflare.F("699d98642c564d2e855e9661899b7252"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", activeAccountRegion.RegionKey)
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "context": {
        "foo": "bar"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "context": {
        "foo": "bar"
      }
    }
  ],
  "result": {
    "region_key": "eu"
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "context": {
        "foo": "bar"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "context": {
        "foo": "bar"
      }
    }
  ],
  "result": {
    "region_key": "eu"
  },
  "success": true
}